## openssh 6.7p1

=== regress/unittests/Makefile ===
#	$OpenBSD: Makefile,v 1.1 2014/04/30 05:32:00 djm Exp $

SUBDIR=	test_helper sshbuf sshkey

.include <bsd.subdir.mk>
