=== debian/rules ===
--- 
+++ 
@@ -91,9 +91,8 @@
 confflags += --with-ssl-engine
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 confflags += --with-selinux
-endif
-ifeq ($(DISTRIBUTOR),Ubuntu)
-confflags += --with-consolekit
+confflags += --with-audit=linux
+confflags += --with-systemd
 endif
 
 # The deb build wants xauth; the udeb build doesn't.
@@ -126,29 +125,40 @@
 	autoreconf -f -i
 	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub ./
 
-override_dh_autoreconf:
+override_dh_autoreconf-arch:
 	dh_autoreconf debian/rules -- autoreconf
 
-override_dh_auto_configure:
+override_dh_autoreconf-indep:
+
+override_dh_auto_configure-arch:
 	dh_auto_configure -Bbuild-deb -- $(confflags)
+	dh_auto_configure -Bbuild-deb-ssh1 -- $(confflags) --with-ssh1
 	dh_auto_configure -Bbuild-udeb -- $(confflags_udeb)
 
-override_dh_auto_build:
+override_dh_auto_configure-indep:
+
+override_dh_auto_build-arch:
 	# Avoid libnsl linkage. Ugh.
 	perl -pi -e 's/ +-lnsl//' build-udeb/config.status
 	cd build-udeb && ./config.status
 
 	$(MAKE) -C build-deb $(PARALLEL) ASKPASS_PROGRAM='/usr/bin/ssh-askpass'
+	$(MAKE) -C build-deb-ssh1 $(PARALLEL) ASKPASS_PROGRAM='/usr/bin/ssh-askpass' ssh scp ssh-keygen
 	$(MAKE) -C build-udeb $(PARALLEL) ASKPASS_PROGRAM='/usr/bin/ssh-askpass' ssh scp sftp sshd ssh-keygen
 
 	$(MAKE) -C contrib gnome-ssh-askpass2 CC='$(CC) $(CPPFLAGS) $(CFLAGS) -Wall -Wl,--as-needed $(LDFLAGS)' PKG_CONFIG=$(PKG_CONFIG)
 
-override_dh_auto_test:
+override_dh_auto_build-indep:
+
+override_dh_auto_test-arch:
 ifeq ($(RUN_TESTS),yes)
 	$(MAKE) -C build-deb regress-prep
 	$(MAKE) -C build-deb $(PARALLEL) \
 		regress/unittests/sshbuf/test_sshbuf \
-		regress/unittests/sshkey/test_sshkey
+		regress/unittests/sshkey/test_sshkey \
+		regress/unittests/bitmap/test_bitmap \
+		regress/unittests/hostkeys/test_hostkeys \
+		regress/unittests/kex/test_kex
 	$(MAKE) -C build-deb/regress \
 		.OBJDIR="$(CURDIR)/build-deb/regress" \
 		.CURDIR="$(CURDIR)/regress" \
@@ -157,8 +167,10 @@
 	$(MAKE) -C debian/keygen-test
 endif
 
+override_dh_auto_test-indep:
+
 override_dh_auto_clean:
-	rm -rf build-deb build-udeb
+	rm -rf build-deb build-deb-ssh1 build-udeb
 ifeq ($(RUN_TESTS),yes)
 	$(MAKE) -C debian/keygen-test clean
 endif
@@ -166,10 +178,12 @@
 	(cat debian/copyright.head; iconv -f ISO-8859-1 -t UTF-8 LICENCE) \
 		> debian/copyright
 
-override_dh_auto_install:
+override_dh_auto_install-arch:
 	$(MAKE) -C build-deb DESTDIR=`pwd`/debian/tmp install-nokeys
 
-override_dh_install:
+override_dh_auto_install-indep:
+
+override_dh_install-arch:
 	rm -f debian/tmp/etc/ssh/sshd_config
 
 	dh_install -Nopenssh-client-udeb -Nopenssh-server-udeb --fail-missing
@@ -182,9 +196,18 @@
 		debian/openssh-client/etc/ssh/moduli \
 		debian/openssh-client/etc/ssh/ssh_config
 
+# We'd like to use dh_install --fail-missing here, but that doesn't work
+# well in combination with dh-exec: it complains that files generated by
+# dh-exec for architecture-dependent packages aren't installed.
+override_dh_install-indep:
+	rm -f debian/tmp/etc/ssh/sshd_config
+	dh_install
+
 override_dh_installdocs:
-	dh_installdocs -Nopenssh-server -Nopenssh-sftp-server
-	dh_installdocs -popenssh-server -popenssh-sftp-server \
+	dh_installdocs \
+		-Nopenssh-client-ssh1 -Nopenssh-server -Nopenssh-sftp-server
+	dh_installdocs \
+		-popenssh-client-ssh1 -popenssh-server -popenssh-sftp-server \
 		--link-doc=openssh-client
 	# Avoid breaking dh_installexamples later.
 	mkdir -p debian/openssh-server/usr/share/doc/openssh-client
@@ -206,7 +229,7 @@
 override_dh_installpam: debian/openssh-server.sshd.pam
 	dh_installpam --name sshd
 
-override_dh_fixperms:
+override_dh_fixperms-arch:
 	dh_fixperms
 	chmod u+s debian/openssh-client/usr/lib/openssh/ssh-keysign
 
@@ -222,6 +245,6 @@
 	dh_builddeb -- -Zxz
 
 debian/faq.html:
-	wget -O - http://www.openssh.org/faq.html | \
-		sed 's,\(href="\)\(txt/\|[^":]*\.html\),\1http://www.openssh.org/\2,g' \
+	wget -O - http://www.openssh.com/faq.html | \
+		sed 's,\(href="\)\(txt/\|[^":]*\.html\),\1http://www.openssh.com/\2,g' \
 		> debian/faq.html
