=== debian/tests/control ===
Tests: regress
Restrictions: needs-root allow-stderr
Depends: @builddeps@, openssh-client, openssh-server, openssh-sftp-server, sudo, python-twisted-conch (>= 1:15.5.0-1)
